;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : kbd-text-de.scm
;; DESCRIPTION : keybindings effective in German text-mode
;;
;; COPYRIGHT   : (C) 2003  Maarten Wegewijs
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(texmacs-module (keyboard kbd-theophys-text-de)
  (:use (utils edit auto-close)))

(kbd-map
 (:mode in-german?)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; Umlauts
;;;; Problem & Workaround:
;;;; If you need for instance literally "ae" and not "a umlaut",
;;;; then simply hit the variation key (tab).
;;;; <Ae> in german text-mode = A umlaut
	 ("A e" "")
	 ("A e var" "Ae")
;;;; <ae> in german text-mode = a umlaut
	 ("a e" "")
	 ("a e" "ae")
;;;; <Oe> in german text-mode = O umlaut
	 ("O e" "")
	 ("O e" "Oe")
;;;; <oe> in german text-mode = o umlaut
	 ("o e" "")
	 ("o e" "oe")
;;;; <Ue> in german text-mode = U umlaut
	 ("U e" "")
	 ("U e" "Ue")
;;;; <ue> in german text-mode = u umlaut
	 ("u e" "")
	 ("u e" "ue")

;;; References to labels with German abbreviations instead of English
;;;; <Eq.> in German text-mode = Same as <Eq.> in text,  except the abbreviation Gl. (Gleichung).
	 ("E q ." (begin (insert "Gl. (")
			  (make 'reference)
			 (insert "eq:")
			 )
	  )
;;;; <Chap.> in German text-mode = Same as <Chap.> in text,  except the abbreviation Kap. (Kapitel).
	 ("C h a p ." (begin (insert "Kap. (")
			     (make 'reference)
			     (insert "chap:")
			     )
	  )
;;;; <Sec.> in German text-mode = Same as <Sec.> in text,  except the abbreviation Kap. (Kapitel)
	 ("S e c ." (begin (insert "Kap. (")
			   (make 'reference)
			   (insert "sec:")
			   )
	  )
)
